const HManagement = [
  {
    path: '/archives_adlist',
    name: 'archives_adlist',
    meta: {
      title: '素材列表',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_ad/index.vue'),
    children: [
      {
        path: '/upload_archives',
        name: 'archives_adlist',
        meta: {
          title: '上传素材',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SManagement/archives_upload/index.vue')
      },
      {
        path: '/archives_ad_analysis',
        name: 'archives_adlist',
        meta: {
          title: '数据分析',
          ast_nav: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_ad/dataAnalysis/index.vue')
      },
    ]
  },
  //  {
  //   path: '/archives_ad_analysis',
  //   name: 'archives_adlist',
  //   meta: {
  //     title: '数据分析',
  //     ast_nav: true
  //   },
  //   components: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_ad/dataAnalysis/indexCopy1.vue')
  // },
  {
    path: '/archives_adclass',
    name: 'archives_adclass',
    meta: {
      title: '素材分类',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_ad/archives_adclass/index.vue')
  },
  {
    path: '/role_manage',
    name: 'roles',
    meta: {
      title: '角色管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/roleManage/index.vue'),
    children:[
      {
        path: '/roleDetail',
        name: 'roles',
        meta: {
          title: '角色详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/roleManage/modules/role_details.vue')
      },
    ]
  },
  {
    path: '/account_manage',
    name: 'users',
    meta: {
      title: '账号管理',
      ast_nav: true
    },
    component: resolve => require(['@/HManagement/accountManage/index'], resolve),
    children:[{
      path: '/account_details',
      name: 'users',
      meta: {
        title: '账号详情',
        ast_nav: true,
        keeproute: true
      },
      component: resolve => require(['@/HManagement/accountManage/modules/account_detail'], resolve)
    }]
  }, {
    path: '/depManage',
    name: 'depManage',
    meta: {
      title: '组织架构',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/department/index.vue'),
    children:[{
      path: '/depManage/staffDetail',
      name: 'depManage',
      meta: {
        title: '员工详情',
        ast_nav: true,
        keeproute: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/HManagement/department/staff/detail/index.vue')
    }]
  }, {
    path: '/salermag',
    name: 'salermag',
    meta: {
      title: '营销组织',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing/index.vue')
  }, {
    path: '/marketing_area',
    name: 'marketing_area',
    meta: {
      title: '管辖区域',
      ast_nav: true,
      keeproute:true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing2/salerScope/index.vue')
  }, {
    path: '/agentManage',
    name: 'agentManage',
    meta: {
      title: '经销商管理',
      ast_nav: true,
      keeproute:true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing2/agent/index.vue'),
    children:[
      {
        path: '/agent_detail',
        name: 'agentManage',
        meta: {
          title: '经销商详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing2/agent/details/index.vue')
      }
    ]
  }, {
    path: '/salerManage',
    name: 'salerManage',
    meta: {
      title: '业务员管理',
      ast_nav: true,
      keeproute:true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing2/saler/index.vue'),
    children: [
      {
        path: '/saler_detail',
        name: 'salerManage',
        meta: {
          title: '业务员详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing2/saler/area/detail/index')
      }
    ]
  },
  {
    path: '/EnterpriseArchives',
    name: 'EnterpriseArchives',
    meta: {
      title: '企业档案',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/EnterpriseArchives/index.vue'),
    children:[
      {
        path: '/EnterpriseArchivesDetail',
        name: 'EnterpriseArchives',
        meta: {
          title: '企业档案详情',
          ast_nav:true,
          keeproute:true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/EnterpriseArchives/modules/details.vue')
      }
    ]
  },
  
  {
    path: '/notice_mag_list',
    name: 'noticemag',
    meta: {
      title: '通告发布',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/index.vue'),
    children: [
      {
        path: '/noticeclass',
        name: 'noticemag',
        meta: {
          title: '通告板块',
          ast_nav: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/pate/index')
      },
      {
        path: '/notice_analysis',
        name: 'noticemag',
        meta: {
          title: '数据分析',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/dataAnalysis/index.vue')
      },
      {
        path: '/notice_add',
        name: 'noticemag',
        meta: {
          title: '新增通告',
          ast_nav:true,
          keeproute:true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/list/modules/add_notice')
      },
    ]
  },{
    path: '/notice_edit',
    name: 'noticemag',
    meta: {
      title: '编辑通告',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/list/modules/edit.vue')
  },  {
    path: '/submit_mag',
    name: 'submit_mag',
    meta: {
      title: '提报发布',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/index.vue'),
    children: [
      {
        path: '/submit_add',
        name: 'submit_mag',
        meta: {
          title: '提报新增',
          ast_nav: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/list/modules/submit_add')
      },
      {
        path: '/submit_statistics',
        name: 'submit_mag',
        meta: {
          title: '数据分析',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/dataAnalysis/index.vue')
      },
    ]
  }, {
    path: '/submit_edit',
    name: 'submit_mag',
    meta: {
      title: '提报编辑',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/list/modules/submit_edit.vue')
  }, {
    path: '/submit_detail',
    name: 'submit_mag',
    meta: {
      title: '提报明细',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/list/modules/content.vue')
  }, {
    path: '/archvies_mag',
    name: 'archvies_mag',
    meta: {
      title: ' 营销物料',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archvies_mag/index.vue')
  }, {
    path: '/archives_scmag',
    name: 'archives_scmag',
    meta: {
      title: '商学院管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/index.vue'),
    children: [
      {
        path: '/archives_scclass',
        name: 'archives_scmag',
        meta: {
          title: '课程分类',
          ast_nav: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/archives_scclass/index.vue')
      },
      {
        path: '/archives_scdetails',
        name: 'archives_scmag',
        meta: {
          title: '课程详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/list/modules/details.vue')
      },
      {
        path: '/archives_scedit',
        name: 'archives_scmag',
        meta: {
          title: '编辑课程',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/list/modules/edit.vue')
      },
      {
        path: '/archives_sc_analysis',
        name: 'archives_scmag',
        meta: {
          title: '数据分析',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/dataAnalysis/index.vue')
      }, 
      {
        path: '/archives_scadd',
        name: 'archives_scmag',
        meta: {
          title: '新增课程',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/list/modules/add.vue')
      },
    ]
  },{
    path: '/security_config',
    name: 'companyInformation',
    meta: {
      title: '站点参数设置',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/securityConfig/index.vue'),
    children:[
      {
        path: '/enterpriseDetail',
        name: 'companyInformation',
        meta: {
          title: '站点企业编辑',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/securityConfig/modules/edit')
      }
    ]
  }, {
    path: '/enterpriseDetail',
    name: 'companyInformation',
    meta: {
      title: '站点企业编辑',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/securityConfig/modules/edit')
  },{
    path: '/advertisement_mag',
    name: 'advertisement_mag',
    meta: {
      title: '广告位管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/advertisement_mag/index.vue')
  }, {
    path: '/coderule',
    name: 'coderule',
    meta: {
      title: '编码规则管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/coderule/index.vue')
  },{
    path: '/custom_option',
    name: 'custom_option',
    meta: {
      title: '自定义选项分类',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/custom_option/index.vue')
  },{
    path: '/tagManage',
    name: 'tagManage',
    meta: {
      title: '数据标签管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/tagManage/index.vue')
  },{
    path: '/messageSendtype',
    name: 'messageSendtype',
    meta: {
      title: '消息提醒设置',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/messageSendtype/index.vue')
  },{
    path: '/vacation',
    name: 'vacation',
    meta: {
      title: '节假日管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/vacation/index')
  }, {
    path: '/clue_import',
    name: 'orderclueupload',
    meta: {
      title: '线索管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_import/index.vue'),
    children:[
      {
        path: '/importClueDetail',
        name: 'orderclueupload',
        meta: {
          title: '线索管理',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_import/detailPage/index.vue')
      }
    ]
  },{
    path: '/clue_public',
    name: 'orderclue_public',
    meta: {
      title: '公海线索',
      ast_nav: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_public/index.vue'),
    children:[
      {
        path: '/clueDetail',
        name: 'orderclue_public',
        meta: {
          title: '线索详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_public/modules/detail.vue')
      }
    ]
  },{
    path: '/clue_private',
    name: 'orderclue_private',
    meta: {
      title: '私域线索',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_private/index.vue'),
    children:[
      {
        path: '/clueDetail_private',
        name: 'orderclue_private',
        meta: {
          title: '线索详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_private/modules/detail.vue')

      }
    ]
  },{
    path: '/clue_rule',
    name: 'ordercluerule',
    meta: {
      title: '分配规则',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_rule/index.vue')
  }, {
    path: '/marketing_activity',
    name: 'marketing_activity',
    meta: {
      title: '市场活动',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/m_activity/index.vue'),
    children: [
      {
        path: '/marketing_activityDetails',
        name: 'marketing_activity',
        meta: {
          title: '活动详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/m_activity/modules/details.vue')
      }
    ]
  },{
    path: '/personalTarget',
    name: 'personalTarget',
    meta: {
      title: '人员目标',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/personalTarget/target/index'),
    children: [
      {
        path: '/personalTarget_edit',
        name: 'personalTarget',
        meta: {
          title: '编辑人员目标',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/personalTarget/target/modules/edit/index')
      },
    ]
  },{
    path: '/personalTargetStatistics',
    name: 'personalTargetStatistics',
    meta: {
      title: '人员目标统计',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/personalTarget/personalTargetStatistics/index')
  },{
    path: '/mProjectTarget',
    name: 'mProjectTarget',
    meta: {
      title: '项目目标',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/projectTarget/target/index'),
    children: [
      {
        path: '/projectTarget_edit',
        name: 'mProjectTarget',
        meta: {
          title: '编辑项目目标',
          ast_nav: true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HManagement/projectTarget/target/modules/edit/index')
      }
    ]
  },{
    path: '/projectTargetStatistics',
    name: 'projectTargetStatistics',
    meta: {
      title: '项目目标统计',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/projectTarget/projectTargetStatistics/index')
  },{
    path: '/salesForecastTemplate',
    name: 'salesForecastTemplate',
    meta: {
      title: '预测模板',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/salesForecastTemplate/index'),
    children:[{
      path: '/salesForecastDetail',
      name: 'salesForecastTemplate',
      meta: {
        title: '预测模板',
        ast_nav: true,
        keeproute: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/HManagement/salesForecastTemplate/modules/modelDetail')
    },
    ]
  },
  {
    path: '/saleForecastCount',
    name: 'saleForecastCount',
    meta: {
      title: '销售预测统计',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/saleForecastCount/index')
  },
  {
    path: '/phonebook',
    name: 'phonebook',
    meta: {
      title: '我的联系人',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/addressList/mycontact/index')
  },{
    path: '/phonebookGroup',
    name: 'phonebookGroup',
    meta: {
      title: '我的群组',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/addressList/mygroup/index')
  },{
    path: '/ecycle',
    name: 'recycle',
    meta: {
      title: '回收站',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/ecycle/index')
  }
  
]
export default HManagement